%global install_loc    %{_datadir}/eclipse/dropins/rpmstubby
%global qualifier      201204021400

Name:           eclipse-rpmstubby
Version:        0.10.0
Release:        1.20120402git2adb2a7%{?dist}
Summary:        Rpm specfile generator for Eclipse features

Group:          Development/Tools
License:        EPL
URL:            http://www.eclipse.org/linuxtools/projectPages/rpmstubby/
# git clone git://git.eclipse.org/gitroot/linuxtools/org.eclipse.linuxtools
# cd org.eclipse.linuxtools
# git checkout 2adb2a7e3ce051c8ceaf653291520a50428abef9
# tar -cjf eclipse-rpmstuby-2adb2a7.tar.bz2 rpmstubby
Source0:        eclipse-rpmstuby-2adb2a7.tar.bz2

BuildArch: noarch

BuildRequires: eclipse-pde >= 1:3.4.0
Requires: eclipse-platform >= 3.4.0

%description
RPM Stubby Plug-in is a plugin aiming to auto-generate RPM specfile from
feature.xml.

%prep
%setup -q -n rpmstubby

%build
%{_bindir}/eclipse-pdebuild \
 -a "-DforceContextQualifier=%{qualifier} -DjavacSource=1.5 -DjavacTarget=1.5"

%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.linuxtools.rpmstubby.feature.zip

%files
%{install_loc}
%doc org.eclipse.linuxtools.rpmstubby-feature/license.html
%doc org.eclipse.linuxtools.rpmstubby-feature/epl-v10.html
%doc org.eclipse.linuxtools.rpmstubby-feature/ChangeLog
%doc org.eclipse.linuxtools.rpmstubby/ChangeLog

%changelog
* Fri Mar 30 2012 Andrew Robinson <arobinso@redhat.com> 0.10.0-1.20120402git2adb2a7
- Update to 0.10.0 release.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 14 2011 Alexander Kurtakov <akurtako@redhat.com> 0.9.0-1
- Linux Tools 0.9 release.

* Thu Aug 22 2011 Andrew Robinson <arobinso@redhat.com> 0.9.0-0.2.20110922git681e7142
- Fix plugin accessing eclipse-pde at runtime.

* Mon Aug 15 2011 Severin Gehwolf <sgehwolf@redhat.com> 0.9.0-0.1.20110815git2168cacb
- Linux Tools 0.9.0 (rpmstubby) pre-release.

* Thu Jul 14 2011 Alexander Kurtakov <akurtako@redhat.com> 0.8.0-1
- Update to Linux Tools 0.8.0 release.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 19 2010 Roland Grunberg <rgrunber@redhat.com> 0.6.0-1
- Update to Linux Tools 0.6 release.

* Tue Mar 23 2010 Alexander Kurtakov <akurtako@redhat.com> 0.5.0-1
- Update to Linux Tools 0.5 release.

* Fri Dec 4 2009 Alexander Kurtakov <akurtako@redhat.com> 0.4.0-1
- Update to Linux Tools 0.4 release.

* Tue Sep 1 2009 Alexander Kurtakov <akurtako@redhat.com> 0.3.0-1
- Update to Linux Tools 0.3 release.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu May 14 2009 Alexander Kurtakov <akurtako@redhat.com> 0.1.1-3
- Update to Linux Tools 0.2 release.

* Mon Mar 23 2009 Alexander Kurtakov <akurtako@redhat.com> 0.1.1-2
- Rebuild to not ship p2 context.xml.

* Tue Feb 24 2009 Alexander Kurtakov <akurtakov@dredhat.com> 0.1.1-1
- Update to version 0.1.1

* Sun Jan 25 2009 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-2
- Fix URL to point to the new homepage.
- Use %{buildroot} only.
- Package Changelog files.

* Wed Dec 10 2008 Alexander Kurtakov <akurtako@redhat.com> 0.1.0-1
-Initial packaging.
